package org.nl.acs.device_driver;

import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;

import java.util.List;

public interface DeviceDriverDefination {
    String getDriverCode();

    String getDriverName();

    String getDriverDescription();

    DeviceDriver getDriverInstance(Device device);

    Class<? extends DeviceDriver> getDeviceDriverType();

    List<DeviceType> getFitDeviceTypes();
}
